DOMElement::getElementsByTagNameNS
DOMElement::hasAttributeNS
DOMElement
PHP Manual

# DOMElement::hasAttribute

(No version information available, might be only in CVS)

DOMElement::hasAttribute — Checks to see if attribute exists

### Description

bool DOMElement::hasAttribute ( string `$name` )

Indicates whether attribute named `name` exists as a member of the element.

### Parameters

`name`

  The attribute name.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- DOMElement::hasAttributeNS
- DOMElement::getAttribute
- DOMElement::setAttribute
- DOMElement::removeAttribute

DOMElement::getElementsByTagNameNS
DOMElement::hasAttributeNS
DOMElement
PHP Manual